Bug 830500 - Gluster - Backend: Exception of remove of host when no up hosts in cluster
Gluster - Backend: Exception of remove of host when no up hosts in cluster
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ric Wheeler
Sudhir D
gluster, storage
:
Depends On:
Blocks: 825285
  Show dependency treegraph
 
Reported: 2012-06-10 04:37 EDT by Daniel Paikov
Modified: 2015-08-10 03:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:45:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-06-10 04:37:53 EDT
Remove of host when there are no up hosts in cluster fails with the following exception:


2012-06-10 11:28:29,546 INFO  [org.ovirt.engine.core.bll.RemoveVdsCommand] (pool-10-thread-47) [3dc9240e] Running command: RemoveVdsCommand internal: false. Entities affected :  ID: ff6b200e-afdd-11e1-8978-1b5d3a7ef016 Type: VDS
2012-06-10 11:28:29,553 ERROR [org.ovirt.engine.core.bll.RemoveVdsCommand] (pool-10-thread-47) [3dc9240e] Command org.ovirt.engine.core.bll.RemoveVdsCommand throw Vdc Bll exception. With error message VdcBLLException: NO_UP_SERVER_FOUND
2012-06-10 11:28:29,558 ERROR [org.ovirt.engine.core.bll.RemoveVdsCommand] (pool-10-thread-47) [3dc9240e] Transaction rolled-back for command: org.ovirt.engine.core.bll.RemoveVdsCommand.
Comment 2 Dhandapani 2012-06-11 05:50:55 EDT
This issue is fixed in the last QA Drop.Please verify it in latest QA drop.
Comment 3 Daniel Paikov 2012-06-18 05:02:07 EDT
Checked on rhsc-2.0.techpreview1-0.scratch.

Note You need to log in before you can comment on or make changes to this bug.